
QGIS Application - Bug report #12792

Labels rendered multiple times with curved placement

2015-05-20 09:04 PM - Tomasz Nycz

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Labelling

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20889

Description

Labels are rendered multiple times, with start position moved about 0.5mm, when on Label Placement: Curved, 'on line' is set. With

Parallel, or horizontal everything is OK.

Bug arrises in qgis_2.9.0+git20150520+06732f1. Project was working correct in previous builds.

Associated revisions

Revision 7d97ab50 - 2015-05-21 10:01 AM - Nyall Dawson

Fix multiple overlaps of curved labels (fix #12792)

Revision 1f14ce70 - 2015-05-21 10:03 AM - Nyall Dawson

Fix multiple overlaps of curved labels (fix #12792)

History

#1 - 2015-05-20 11:01 PM - Tomasz Nycz

- File label_corrupt_shp_qml.zip added

#2 - 2015-05-20 11:53 PM - Giovanni Manghi

- Target version set to Future Release - High Priority

confirmed here on master.

#3 - 2015-05-21 01:02 AM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"7d97ab50fcdafb559d4d603a966ed7b606a95d79".

Files

bug_labels_not_elastic.png 1.14 MB 2015-05-20 Tomasz Nycz

Właściwości_warstwy_-_Komunikacja___Etykiety_062.png 127 KB 2015-05-20 Tomasz Nycz

label_corrupt_shp_qml.zip 820 KB 2015-05-20 Tomasz Nycz
